<?php

/*
*
* WP Licensing system Plugin WordPress
* It doesn't work witout WP Licensing System Installed On your Wordpress Blog
* File Name: about.class.php
* All Right reserved by law, You're not authorized to modified, edit, or distribute without right!
* (c) WPDeveloper, CV. 2013
*
*/

if (!defined('ABSPATH')){
	header("HTTP/1.0 404 Not Found");
	exit('<h1>Not Found</h1>The requested URL '.$_SERVER['SCRIPT_NAME'].' was not found on this server.'); //Exit if accessed directly
}

/*
**
About Wordpress Licensing System
**
*/

function wls_about () {
	global $wls_version;

?>
	<div class="wrap nosubsub">
		<h2>WP Licensing System &rarr; About</h2>
		<div class="updated">
        	<p>Go to <a href="admin.php?page=wp_licensing_manager"><b>Wordpress Licensing System Dashboard</b></a></p>
        </div>

		<table class="wp-list-table widefat tags ui-sortable">
			<thead>
				<tr>
					<th width="auto"><a href="<?php echo LICENSEMANAGER_LOCATION . "/documentation/";?>" target="_blank">Documentations &rarr;</a></th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>
						<p><b>Wordpress Licensing System</b> used to Deploying your own products to ensure they are only used by whom has the right. Ensure your product is not stolen with this easy to use system.</p>
						<p>Integrate the generation system in with your billing software and supply your customers with an right key. With this software they can protect and trace there script or software via the net.</p>
						<p>WP Licensing System does not require the Auth PHP Class, So you can deploy the keys on any platform or scripting language.</p>
						<p>With the addition of a match string as a second level of security, The end-user woold be required to supply a valid key along with the corresponding match key. This match key coold be the domain or IP address of the server where the script lives.</p>
						<p>With WP Licensing System, you can ensure its used only on a single server, by a single user who authrize to use your product. WP Licensing System is great and easyly protect your script and software from stolen and unauthorized right use.</p>

						<h3>Features:</h3>
						<style>
							ul li {
								list-style-type:square;
								padding-left: 1px;
								margin-left: 10px;
							}	
						</style>
						<ol>
                        	<li>
                            	Time and Product based keys
                                <ul>
                                    <li>Set a key to expire in one day, or 10 years, its up to you.</li>
                                    <li>Set related Product assign to the license key.</li>
                                </ul>
							</li>
                            <li>
                                MySQL based key storage from WP Admin Panel
                                <ul>
                                    <li>Store, Activate, and Deactivate Keys via the database or included class functions.</li>
                                </ul>
                            </li>
                            <li>
                                Customizable key pattern From WP Admin Panel
                                <ul>
                                    <li>Add a Prefix and/or Suffix to your keys.</li>
                                    <li>Define key length with two variables, length of each chunk, and number of chunks in each key.</li>
                                </ul>
                            </li>
                            <li>
                                Matching License Key system for an extra layer of authentication.
                                <ul>
                                    <li>Store the clients email, username, domain, server ip, possibilities are endless.</li>
                                </ul>
                            </li>
                            <li>
                                An easy to use API (JSON and XML).
                                <ul>
                                    <li>Integrate authentication into any programming language.</li>
                                    <li>Use for scripts, desktop applications, mobile applications, etc.</li>
                                </ul>
                            </li>
                            <li>
                                Woocommerce integration Support
                                <ul>
                                    <li>User can create license key for purchased product from Woocommerce account area</li>
                                </ul>	
                            </li>
                            <li>
                                Jigoshop integration Support <em>*by request</em>
                                <ul>
                                    <li>User can create license key for purchased product from Jigoshop account area</li>
                                </ul>	
                            </li>
                            <li>
                                WP-e-commerce integration <em>*by request</em>
                                <ul>
                                    <li>User can create license key for purchased product from WP E-commerce account area</li>
                                </ul>	
                            </li>
                            <li>
                                <a>Envato Marketpace</a> integration
                                <ul>
                                    <li>user will generate license key after got Receipt Code</li>
                                </ul>	
                            </li>
                            <li>
                                <a>eStore Digital Pro</a> integration <em>*by request</em>
                                <ul>
                                    <li>user will generate license key after got Transaction Code</li>
                                </ul>	
                            </li>
                        </ol>

						<h3>Shortcode</h3>
                        <ul>
                            <li>You can placed License checker directly from your installed Wordpress Licensing System<br />
                                Just add <b>[lic_check]</b> on your pages or post as content.</li>
                            <li>You can sell product in envato marketplace (codecanyon and themeforest), user will generate license key after got Receipt code<br />
                                Just add <b>[envato]</b> on your page or post as content</li>
                            <li>You can placed Registered License as per user<br />
                                Just add <b>[my_license]</b> on your pages or post as content.</li>
                            <li>You can sell product <a>eStore Digital Pro</a>, user will generate license key after got Transaction Code<br />
                                Just add <b>[wls_eStore]</b> on your page or post as content</li>
                        </ul>
					</td>
				</tr>
			</tbody>
		</table>
		<div class="tablenav bottom">
			<div style="text-align:right;">&copy; <a href="<?php echo LICENSEMANAGER_URI;?>" target="_blank" style="text-decoration:none;">WP Licensing System</a> v<?php echo $wls_version; ?></div>
			<br class="clear">
		</div>
	</div>

<?php } ?>