<?php

/*
*
* WP Licensing system Plugin WordPress
* It doesn't work witout WP Licensing System Installed On your Wordpress Blog
* File Name: license.conf.php
* All Right reserved by law, You're not authorized to modified, edit, or distribute without right!
* (c) WPDeveloper, CV. 2013
*
*/

if (!defined('ABSPATH')){
	header("HTTP/1.0 404 Not Found");
	exit('<h1>Not Found</h1>The requested URL '.$_SERVER['SCRIPT_NAME'].' was not found on this server.'); //Exit if accessed directly
}

/*
**
License Activation
**
*/

function wls_license() {
	global $wls_version;
?>
<div class="wrap nosubsub">
	<h2>WP Licensing System &rarr; License</h2>
	<form method="post" id="wpls-verify" action="admin.php?page=wls_license">
		<input type="hidden" id="wpls-action" name="wpls-action" value="<?=wls_serial_valid() ? 'license_deactivate':'license_activate';?>" />
		<table class="wp-list-table widefat tags ui-sortable">
           	<tbody>
               	<?php if(get_wpls_option('wls_license') != '0' && get_wpls_option('wls_license') != ''){ ?>
                <tr>
                   	<td>Your Installed License Key is:</td>
                    <td><input size="50" class="textfield" value="<?php echo get_wpls_option('wls_license'); ?>" disabled="disabled" /></td>
                </tr>
                <?php  } ?>
                <tr>
                   	<td valign="top"><label for="wpls-license">License Key:</label></td>
                    <td>
                       	<input class="textfield" name="wls-license" size="50" type="text" id="wpls-license" value="<?php echo get_wpls_option('wls_license'); ?>" required />
                        <p class="description"><?php _e('Valid License  to make All feature work correctly', 'wpls') ?></p>
                    </td>
                </tr>
                <tr>
                   	<td valign="top"><label for="wpls-license">Email:</label></td>
                    <td>
                       	<input class="textfield" name="wls-email" size="50" type="text" id="wpls-email" value="<?php echo get_wpls_option('wls_email'); ?>" required />
                        <p class="description"><?php _e('Please provide your registered email with envato', 'wpls') ?></p>
                    </td>
				</tr>
				<tr>
                	<td></td>
                    <td>
                    	<input type="submit" class="button-primary" id="saveS" name="saveS" value="<?=wls_serial_valid() ? __('Deactivate') : __('Activate');?>">
                        <p class="pesan"></p>
                    </td>
				</tr>
			</tbody>
		</table>
		<div class="tablenav bottom">
			<div style="text-align:right;">&copy; <a href="<?php echo LICENSEMANAGER_URI;?>" target="_blank" style="text-decoration:none;">WP Licensing System</a> v<?php echo $wls_version; ?></div>
		</div>
	</form>
</div>

<?php

}

function wls_get_serial() {
	if ($serial = get_wpls_option('wls_license')) {
		return $serial;
	}
	return false;
}
		
?>