<?php
/**
 * The Account > Downloads template.
 *
 * Displays the user account page.
 *
 * @package WPSC
 * @since WPSC 3.8.10
 */
?>

<?php if ( empty( $items ) ) : ?>
	<?php _e( 'You have not purchased any downloadable products yet.', 'wpsc' ); ?>
<?php else : ?>
	<table class="logdisplay">
		<thead>
			<tr>
				<th class="wpsc-user-log-file-name" scope="col"><?php _e( 'File Names', 'wpsc' ); ?> </th>
				<th class="wpsc-user-log-downloads-left" scope="col"><?php _e( 'Downloads Left', 'wpsc' ); ?> </th>
				<th class="wpsc-user-log-file-date" scope="col"><?php _e( 'Date', 'wpsc' ); ?> </th>
			</tr>
		</thead>

		<tbody>
			<?php foreach( $items as $key => $item ): ?>
				<tr class="wpsc-user-log-file<?php echo ( $key %2 == 1 ) ? '' : ' alt'; ?>">
					<td class="wpsc-user-log-file-name">
						<?php echo $item->title; ?>
<?php
					// WP Licensing Integration Mod -->
					global $wpdb, $wpsc, $reissue, $user_ID, $order_id, $item_name, $post_id;
					
							$order_id = $products[$i]['uniqueid'];
							$post_id = $products[$i]['product_id'];
						$item = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}posts WHERE ID = '".$post_id."'");
						$cons = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}licensing_setting WHERE id = '1'");
						$chk = $wpdb->get_var("SELECT COUNT(id) AS total FROM {$wpdb->prefix}licensing WHERE order_id = '".$order_id."'");
								$my_account_url = get_wpls_option('user_account_url');
								$destatus = get_wpls_option('wls_destatus');
								$weburl = get_wpls_option('siteurl');
								$item_name = $item->post_title;
						if (function_exists('wp_licensing_activation_hook') && ($license_status) && wls_serial_valid()  && ($cons->int_wpsc == "1")){
						
						?>
							<br />
						<?php if(!$chk): ?>
							Domain Name:
							<form action="<?php echo LICENSEMANAGER_LOCATION; ?>/wp-e-commerce/wp-ecommerce.class.php?wpsc_lic_gen" method="post">
							<input type="hidden" id="blogurl" name="blogurl" value="<?php echo $cons->blogurl; ?>"><input type="hidden" id="store" name="store" value="<?php echo $cons->key_store; ?>"><input type="hidden" id="keyuniq" name="keyuniq" value="<?php echo $cons->key_uniq; ?>"><input type="hidden" id="prekey" name="prekey" value="<?php echo $cons->pre_key; ?>"><input type="hidden" id="lastkey" name="lastkey" value="<?php echo $cons->post_key; ?>"><input type="hidden" id="keycunk" name="keycunk" value="<?php echo $cons->key_cunk; ?>"><input type="hidden" id="keypart" name="keypart" value="<?php echo $cons->key_part; ?>"><input type="hidden" id="order" name="order" value="<?php echo $order_id; ?>" /><input type="hidden" id="product" name="product" value="<?php echo $item_name; ?>" /><input type="hidden" id="acc_url" name="acc_url" value="<?php echo $my_account_url; ?>" /><input type="hidden" id="status" name="status" value="<?php echo $destatus; ?>" /><input type="hidden" id="validip" name="validip" value="" /><input type="hidden" id="expire" name="expire" value="<?php echo $cons->lic_expire; ?>" />
							<input type="text" style="padding:3px;" class="input-text" id="domain" name="domain" value="" /><br />
							<input class="button" type="submit" value="Get License Key" />
							</form>
						<?php else:
						$clic = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}licensing WHERE order_id = '".$order_id."'");
								$expired = ($clic->expire < time());
						 ?>
							Domain Name: <b><a href="http://<?php echo $clic->domain; ?>"><?php echo $clic->domain; ?></a> (<?php echo $clic->validip; ?>)</b>
							<br />License Key: <b><?php echo $clic->license; ?></b>
							<br />License Status: <?php if(!$expired) { ?><b><?php if($clic->status == 1) {?><a href="<?php echo $my_myorder_url."?order=".$order_id;?>&deactivate=<?php echo $clic->license; ?>" title="Deactivate Now!">Active</a><?php } else if($clic->status == 0){ ?><a href="<?php echo $my_myorder_url."?order=".$order_id;?>&activate=<?php echo $clic->license; ?>" title="Activate Now!">Deactive</a><?php } else if($clic->status == 2) { echo "Suspended"; }else if($clic->status == 3) { echo "Pending"; } ?></b><?php } ?>
							<br />Expired On: <b><?php echo date("d/m/Y H:i",$clic->expire); ?></b>
							<br />
						<?php if($cons->reissue == 1):
						$newtime = (($clic->expire - time())/24/60/60);
					 ?>
							<form action="<?php echo LICENSEMANAGER_LOCATION; ?>/wp-e-commerce/wp-ecommerce.class.php?wpsc_lic_reissue" method="post"><input type="hidden" id="blogurl" name="blogurl" value="<?php echo $cons->blogurl; ?>"><input type="hidden" id="store" name="store" value="<?php echo $cons->key_store; ?>"><input type="hidden" id="keyuniq" name="keyuniq" value="<?php echo $cons->key_uniq; ?>"><input type="hidden" id="prekey" name="prekey" value="<?php echo $cons->pre_key; ?>"><input type="hidden" id="lastkey" name="lastkey" value="<?php echo $cons->post_key; ?>"><input type="hidden" id="keycunk" name="keycunk" value="<?php echo $cons->key_cunk; ?>"><input type="hidden" id="keypart" name="keypart" value="<?php echo $cons->key_part; ?>"><input type="hidden" id="order" name="order" value="<?php echo $clic->order_id; ?>" /><input type="hidden" id="product" name="product" value="<?php echo $clic->product; ?>" /><input type="hidden" id="acc_url" name="acc_url" value="<?php echo $my_account_url; ?>" /><input type="hidden" id="status" name="status" value="<?php echo $clic->status; ?>" /><input type="hidden" id="validip" name="validip" value="<?php echo $clic->validip; ?>" /><input type="hidden" id="expire" name="expire" value="<?php echo $newtime; ?>" /><input type="hidden" id="domain" name="domain" value="<?php echo $clic->domain; ?>" /><br /><input class="button" type="submit" value="Reissue" />
							</form>
						<?php
						endif;
							if(isset($_GET['deactivate'])){
							$wpdb->query("UPDATE {$wpdb->prefix}licensing SET status = '0' WHERE license = '".$_GET['deactivate']."'");
							header("Location: ".$my_myorder_url."?order=".$order_id."");
						}
					
						if(isset($_GET['activate'])){
							$wpdb->query("UPDATE {$wpdb->prefix}licensing SET status = '1' WHERE license = '".$_GET['activate']."'");
								header("Location: ".$my_myorder_url."?order=".$order_id."");
						}
									
							endif;
							 } 
					// WP Licensing Integration Mod -->

?>
					</td>
					<td class="wpsc-user-log-downloads-left">
						<?php echo esc_html( $item->downloads ); ?>
					</td>
					<td class="wpsc-user-log-file-date">
						<?php echo esc_html( $item->datetime ); ?>
					</td>
				</tr>
			<?php endforeach; ?>
		</tbody>
	</table>
<?php endif; ?>