<?php

/*
*
* WP Licensing system Plugin WordPress
* It doesn't work witout WP Licensing System Installed On your Wordpress Blog
* File Name: license-conf.class.php
* All Right reserved by law, You're not authorized to modified, edit, or distribute without right!
* (c) WPDeveloper, CV. 2013
*
*/

if (!defined('ABSPATH')){
	header("HTTP/1.0 404 Not Found");
	exit('<h1>Not Found</h1>The requested URL '.$_SERVER['SCRIPT_NAME'].' was not found on this server.'); //Exit if accessed directly
}

/*****************SETTING FUNCTIONS*********************/

function wp_licensing_admin_setting() {
	global $wpdb, $wls_version, $woocom, $reissue, $wc_check;
	if(!wls_serial_valid()){
		wls_license ( );
	}
	else {
		if($_POST['save_set']) {
			$wpdb->query("UPDATE `{$wpdb->prefix}licensing_setting` SET pre_key = '".$_POST['prekey']."', post_key = '".$_POST['lastkey']."', key_cunk = '".$_POST['keycunk']."', key_part = '".$_POST['keypart']."', key_store = '".$_POST['store']."', key_uniq = '".$_POST['unique']."', key_split = '".$_POST['split']."', key_div = '".$_POST['divider']."', blogurl = '".$_POST['blogurl']."', int_woocom = '".$_POST['woocommerce']."', reissue = '".$_POST['reissue']."', dexpire = '".$_POST['dexpire']."', lic_expire = '".$_POST['lic_expire']."', int_jigo = '".$_POST['jigoshop']."', int_wpsc = '".$_POST['wpsc']."', type = '".$_POST['type']."', allowed = '".$_POST['allowed']."' WHERE id = '1';");

			update_wpls_option('envato_lic_key', $_POST['envato_key']);
			update_wpls_option('envato_lic_user', $_POST['envato_user']);
			update_wpls_option('envato_anable', $_POST['envato_anable']);
			update_wpls_option('envato_lic_page', $_POST['envato_page']);
			update_wpls_option('wls_destatus', $_POST['lic_status']);
			update_wpls_option('wls_wc_autogen', $_POST['wc_autogen']);
			update_wpls_option('wls_wc_demotab', $_POST['wc_demotab']);
			update_wpls_option('wls_pp_email', $_POST['pp_email']);
			update_wpls_option('wls_pp_sandbox', $_POST['wls_pp_sandbox']);
			update_wpls_option('wls_cart_page', $_POST['wls_cart_page']);
			update_wpls_option('wls_req_domain', $_POST['wls_req_domain']);
			update_wpls_option('wls_forcesingle', $_POST['wls_forcesingle']);

			update_wpls_option('estore_lic_page', $_POST['estore_page']);

			echo '<div class="updated"><p>Setting Saved</p></div>';
		}

		$set = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}licensing_setting WHERE id = '1'");
		if($set->int_woocom == "1") {
			$woocom = "true";
		}
		if($set->reissue == "1") {
			$reissue = "true";
		}

?>
	<div class="wrap nosubsub">
		<h2>WP Licensing System &rarr; Class Settings</h2>
		<div class="updated">
        	<p>Bellow you can set Wordpress Licensing System Class, If it all correctly please go to <a href="admin.php?page=wp_licensing_manager"><b>Wordpress Licensing System Dashboard</b></a></p>
		</div>

		<form method="post" action="admin.php?page=wp_licensing_admin_setting">
			<input type="hidden" value="<?php echo  $set->key_split;?>" name="split" />
			<input type="hidden" value="<?php echo  $set->key_div;?>" name="divider" />
			<input type="hidden" value="TRUE" name="store" />
			<input type="hidden" value="TRUE" name="unique" />
			
			<table class="wp-list-table widefat tags ui-sortable">
				<thead>
    				<tr>
						<th colspan="2" width="auto"><a href="<?php echo LICENSEMANAGER_LOCATION . "/documentation/";?>" target="_blank">Documentations &rarr;</a></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<th colspan="2"><strong>License Key Configuration</strong></th>
					</tr>
					<input type="hidden" id="blogurl" name="blogurl" style="width:240px;" value="<?php echo $set->blogurl; ?>">
					<tr valign="top">
						<th scope="row"><label for="keycunk">How Much Key Character:</label></th>
						<td>
                        	<input type="text" style="width:240px;" id="keycunk" name="keycunk" value="<?php echo $set->key_cunk; ?>">
                        	<p class="description">How much character of license key</p>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="keypart">Key Part Class:</label></th>
						<td>
                        	<input type="text" id="keypart" style="width:240px;" name="keypart" value="<?php echo $set->key_part; ?>">
                        	<p class="description">How much part of license key, will separate with divider</p>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="prekey">Open Key Character:</label></th>
						<td>
                        	<input type="text" id="prekey" style="width:240px;" name="prekey" value="<?php echo $set->pre_key; ?>">
                        	<p class="description">Set your first part of your key, will be like: YOU-key</p>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="lastkey">End of Key Character:</label></th>
						<td>
                        	<input type="text" id="lastkey" style="width:240px;" name="lastkey" value="<?php echo $set->post_key; ?>">
                        	<p class="description">Set your last part of your key, will be like: key-YOU</p>
						</td>
                    </tr>
					<tr valign="top">
						<th scope="row"><label for="dexpire">Array license key expiration:</label></th>
						<td>
                        	<input type="text" id="dexpire" style="width:240px;" name="dexpire" value="<?php echo $set->dexpire; ?>">
                        	<p class="description">Set array license key expiration in <b>Day, Week, Month or Year</b>, separate with " | " (0 = Lifetime).</p>
						</td>
                    </tr>
					<tr valign="top">
						<th scope="row"><label for="allowed">Array Allowed Domain:</label></th>
						<td>
                        	<input type="text" id="allowed" style="width:240px;" name="allowed" value="<?php echo $set->allowed; ?>">
                        	<p class="description">Set array Allowed Domain, separate with " | " (0 = Unlimited).</p>
						</td>
                    </tr>
					<tr valign="top">
						<th scope="row"><label for="reissue">Reissue License Key:</label></th>
						<td>
							<select id="reissue" name="reissue" style="width:240px;">
								<option value="1" <?php if($set->reissue == "1") {echo 'selected="selected"';}?>>Yes</option>
								<option value="0" <?php if($set->reissue == "0") {echo 'selected="selected"';}?>>No</option>
							</select>
                            <p class="description">Allow client to reissue a license key</p>
						</td>
                    </tr>
					<tr>
						<th colspan="2"><strong>License Key Integration</strong></th>
					</tr>
					<?php if( wc_active() || (get_wpls_option('envato_anable') == yes) || (get_wpls_option('wls_pp_email') != '')): ?>
					<tr valign="top">
						<th scope="row"><label for="lic_status">Default License Status:</label></th>
						<td>
							<select name="lic_status" id="lic_status" style="width:240px;">
								<option value="">Choose Status</option>
								<option value="0"<?php if(get_wpls_option('wls_destatus') == 0) {echo 'selected="selected"';}?>>Deactive</option>
								<option value="1"<?php if(get_wpls_option('wls_destatus') == 1) {echo 'selected="selected"';}?>>Active</option>
								<option value="2"<?php if(get_wpls_option('wls_destatus') == 2) {echo 'selected="selected"';}?>>Suspended</option>
								<option value="3"<?php if(get_wpls_option('wls_destatus') == 3) {echo 'selected="selected"';}?>>Pending</option>
							</select>
							<p class="description">Default License status when user create their license</p>
						</td>
                    </tr>
					<tr valign="top">
						<th scope="row"><label for="lic_expire">Default License expiration:</label></th>
						<td>
                            <select name="lic_expire" id="lic_expire" style="width:240px;">
                                <option value="">Choose Expiration</option>
                                <?php
                                $dexpire = explode("|", $set->dexpire);
                                foreach((array) $dexpire as $pexpire):
								?>
                                <option value="<?php echo wls_expiryTime($pexpire);?>" <?php if(wls_expiryTime($pexpire) == $set->lic_expire) echo ' selected="selected"';?>><?php if($pexpire == 0) {echo "Lifetime License"; }else { echo $pexpire; }  ?></option>
                                <?php endforeach; ?>
                            </select>
                            <p class="description">Default License expiration when user create their license</p>
						</td>
                    </tr>
					<?php endif; if (wc_active ()): ?>
					<tr>
						<th colspan="2"><strong>Woocommerce Integration</strong></th>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="wpls_woocommerce">WooCommerce Integration:</label></th>
						<td>
                        <select id="wpls_woocommerce" name="woocommerce" style="width:240px;">
                            <option value="1" <?php if($set->int_woocom == "1") {echo 'selected="selected"';}?>>Enable</option>
                            <option value="0" <?php if($set->int_woocom == "0") {echo 'selected="selected"';}?>>Disable</option>
                        </select>
                        <p class="description">Integrate WP Licensing System with WooCommerce</p>
						</td>
                    </tr>
					<tr valign="top" class="wc_anable"<?php echo ($set->int_woocom == "1") ? '' : ' style="display:none;"'; ?>>
						<th scope="row"><label for="wc_demotab">Enable Demo tab?:</label></th>
						<td>
							<input id="wc_demotab" type="checkbox" name="wc_demotab" value="1" <?php if(get_wpls_option('wls_wc_demotab') == '1') {echo 'checked';}?> />
							<label for="wc_demotab">Display demo tabs in products?</label>
						</td>
                    </tr>
					<tr valign="top" class="wc_anable"<?php echo ($set->int_woocom == "1") ? '' : ' style="display:none;"'; ?>>
						<th scope="row"><label for="wc_autogen">Auto Generate License key?:</label></th>
						<td>
							<input id="wc_autogen" type="checkbox" name="wc_autogen" value="1" <?php if(get_wpls_option('wls_wc_autogen') == '1') {echo 'checked';}?> />
							<label for="wc_autogen">Allow Wocommerce generate license key when order mark as complete?</label>
						</td>
                    </tr>
					<input id="wc_reqdomain" type="hidden" name="wls_req_domain" value="0" />
					<input type="hidden" name="wls_forcesingle" value="0" />
					<?php endif; ?>
				<tr>
					<th colspan="2"><strong>Envato Marketplace Integration</strong></th>
				</tr>
				<tr valign="top">
					<th scope="row"><label for="envato_anable">Enable Envato Marketplace:</label></th>
					<td>
                        <select id="envato_anable" name="envato_anable" style="width:240px;">
                            <option value="yes" <?php if(get_wpls_option('envato_anable') == yes){echo 'selected="selected"';}?>>Yes</option>
                            <option value="not" <?php if(get_wpls_option('envato_anable') == not){echo 'selected="selected"';}?>>Not</option>
                        </select>
                        <p class="description">Enabling Envato marketplace feature if user can purchase your product from envato marketplace.</p>
                    </td>
                </tr>
				<tr valign="top" class="envato_set" style="display:<?=(get_wpls_option('envato_anable') == yes)?'':'none';?>">
					<th scope="row"><label for="envato_key">Envato Marketplace Secretkey/API, <b><a title="API key" href="<?php echo plugins_url( 'asset/envato_api.jpg' , dirname(__FILE__) );?>">What it is?</a></b>:</label></th>
					<td>
						<input type="text" id="envato_key" name="envato_key" style="width:240px;" value="<?php echo get_wpls_option('envato_lic_key'); ?>">
                        <p class="description">The secretkey for envato marketplace, if you sell script on codecanyon or themeforest.</p>
					</td>
				</tr>
				<tr valign="top" class="envato_set" style="display:<?=(get_wpls_option('envato_anable') == yes)?'':'none';?>">
					<th scope="row"><label for="envato_user">Envato Marketplace Username:</label></th>
					<td>
						<input type="text" id="envato_user" name="envato_user" style="width:240px;" value="<?php echo get_wpls_option('envato_lic_user'); ?>">
                        <p class="description">The username registered with envato marketplace, if you sell script on codecanyon or themeforest.</p>
                    </td>
                </tr>
                <tr valign="top" class="envato_set" style="display:<?=(get_wpls_option('envato_anable') == yes)?'':'none';?>">
                    <th scope="row"><label for="envato_page">Envato pages ID:</label></th>
                    <td>
                        <select name="envato_page" id="envato_page" style="width:240px;">
                            <option value="">Choose Page</option>
                            <?php
                            $page = "SELECT * FROM {$wpdb->posts} WHERE post_type = 'page' AND post_status = 'publish'";
                            $pages = $wpdb->get_results($page);
                            foreach((array) $pages as $paged):
                            ?>
                            <option value="<?php echo $paged->ID; ?>"<?php if($paged->ID == get_wpls_option('envato_lic_page')) {echo 'selected="selected"';}?>><?php echo $paged->post_title; ?></option>
                            <?php endforeach; ?>
                        </select>
                        <p class="description">Page ID for envato marketpalce user to create their license</p>
                    </td>
                </tr>

				<?php if( !wc_active() ):?>
                    <tr><th colspan="2"><label>Woocommerce not installed on your wordpress blog.</label></th></tr>

	                <?php endif; if(function_exists('wp_eStore_install')): ?>
                    <tr valign="top">
                        <th scope="row"><label for="estore_page">eStore pages ID:</label></th>
                        <td>
                            <select name="estore_page" id="estore_page" style="width:240px;">
                                <option value="">Choose Page</option>
                                <?php
                                $page = "SELECT * FROM {$wpdb->posts} WHERE post_type = 'page' AND post_status = 'publish'";
                                $pages = $wpdb->get_results($page);
                                foreach((array) $pages as $paged):
                                ?>
                                <option value="<?php echo $paged->ID; ?>"<?php if($paged->ID == get_wpls_option('estore_lic_page')) {echo 'selected="selected"';}?>><?php echo $paged->post_title; ?></option>
                                <?php endforeach; ?>
                            </select>
                            <p class="description">Page ID for eStore user to create their license. <span style="background:#00FF00;">Selected Page ID: <b><?php echo get_wpls_option('estore_lic_page');?></b></span></p>
                        </td>
                    </tr>

					<?php endif; ?>

				</tbody>
			</table>

			<div class="tablenav bottom">
				<div class="alignleft actions"><input type="submit" value="Save Change" class="button-primary" id="save_set" name="save_set"></div>
				<div style="text-align:right;">&copy; <a href="<?php echo LICENSEMANAGER_URI;?>" target="_blank" style="text-decoration:none;">WP Licensing System</a> v<?php echo $wls_version; ?></div>
      			<br class="clear">
    		</div>
    		<div id="ajax-response"></div>
		</form>
	</div>

<?php
		if(!wc_active ()):
			$wpdb->query("UPDATE `{$wpdb->prefix}licensing_setting` SET int_woocom =0");
		endif;
	}
}

function wls_integration_notice() {
	if( !wc_active() ) {
		echo "<div class='error'><p>Woocommerce must be installed and activated to use WP Licensing System.</p><p><a href='admin.php?page=wp_licensing_manager&wls_hide_notice'>Hide This Warning</a></div>";
	}
}

if ( !get_wpls_option( 'wls_integration_notice' ) ){
	//add_action( wpls_multisite().'admin_notices', 'wls_integration_notice' );
	//add_action( 'admin_notices', 'wls_integration_notice' );
}

if ( isset( $_GET['wls_hide_notice'] ) ){
	update_wpls_option( 'wls_integration_notice', true );
}

add_action('admin_footer', 'wpls_js');
function wpls_js(){

?>

<script>
	jQuery('#wpls_woocommerce').on('change', function($){
		if(jQuery(this).val() == '1'){
			jQuery('.wc_anable').show();
		} else {
			jQuery('.wc_anable').hide();
		}
	});

	jQuery('#envato_anable').on('change', function($){
		if(jQuery(this).val() == 'yes'){
			jQuery('.envato_set').show();
		} else {
			jQuery('.envato_set').hide();
		}
	});
</script>

<?php } ?>
