<?php
/*
*
* Licensing System Plugin WordPress
* It doesn't work witout Licensing System Installed On your Wordpress Blog
* File Name: multisite.class.php
* All Right reserved by law, You're not authorized to modified, edit, or distribute without right!
* (c) WPDeveloper, CV. 2013
*
*/

if (!defined('ABSPATH')){
	header("HTTP/1.0 404 Not Found");
	exit('<h1>Not Found</h1>The requested URL '.$_SERVER['SCRIPT_NAME'].' was not found on this server.'); //Exit if accessed directly
}

function get_wpls_option($option_name) {

	if(WPLS_NETWORK_ACTIVATED== true) {
		return get_site_option($option_name);
	}
	else {
		return get_option($option_name);
	}
}

function update_wpls_option($option_name, $option_value) {

	if(WPLS_NETWORK_ACTIVATED== true) {
		return update_site_option($option_name, $option_value);
	}
	else {
		return update_option($option_name, $option_value);
	}
}

function wpls_admin_url($url) {

	if(WPLS_NETWORK_ACTIVATED == true) {
		return network_admin_url($url);
	}
	else {
		return admin_url($url);
	}
}

?>