<?php

/*
*
* WP Licensing system Plugin WordPress
* It doesn't work witout WP Licensing System Installed On your Wordpress Blog
* File Name: order.class.php
* All Right reserved by law, You're not authorized to modified, edit, or distribute without right!
* (c) WPDeveloper, CV. 2013
*
*/

if (!defined('ABSPATH')){
	header("HTTP/1.0 404 Not Found");
	exit('<h1>Not Found</h1>The requested URL '.$_SERVER['SCRIPT_NAME'].' was not found on this server.'); //Exit if accessed directly
}

function wp_licensing_order_pending() {
	global $wls_version, $wpdb, $woocom;
	$cedit = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}licensing_setting WHERE id = '1'");

	if(!wls_serial_valid()){
		wls_license ( );
	}
	else {
?>

<div class="wrap nosubsub">
	<h2>WP Licensing System &rarr; Pending Order </h2>
	
    <div class="updated">
    	<p>Before creating or editing you can setup WLS <a href="admin.php?page=wp_licensing_admin_setting"><b>Wordpress Licensing System Configuration</b></a> or Open <a href="<?php echo LICENSEMANAGER_LOCATION . "/documentation/";?>" target="_blank"><b>Documentations</b></a> Files</p>
    </div>
    
    <table cellspacing="0" class="wp-list-table widefat fixed bookmarks">
		<thead>
			<tr>
				<th style="" class="manage-column column-rel">License Key</th>
				<th style="" class="manage-column column-url <?php echo ($_REQUEST['orderby'] == "add_on")?"sorted ":"sortable "; echo ($_REQUEST['order'] and $_REQUEST['orderby'] == "add_on")?$_REQUEST['order']:"desc"; ?> " id="url" scope="col"><a href="admin.php?page=wp_licensing_manager&orderby=add_on&order=<?php if($_REQUEST['order'] == "asc" and $_REQUEST['orderby'] == "add_on") { echo "desc"; } else { echo "asc"; } ?>"><span>Saved On</span><span class="sorting-indicator"></span></a></th>
				<th style="" class="manage-column" scope="col">Status</th>
				<th style="" class="manage-column column-url <?php echo ($_REQUEST['orderby'] == "expire")?"sorted ":"sortable "; echo ($_REQUEST['order'] and $_REQUEST['orderby'] == "expire")?$_REQUEST['order']:"desc"; ?> " id="url" scope="col"><a href="admin.php?page=wp_licensing_manager&orderby=expire&order=<?php if($_REQUEST['order'] == "asc" and $_REQUEST['orderby'] == "expire") { echo "desc"; } else { echo "asc"; } ?>"><span>Expired On</span><span class="sorting-indicator"></span></a></th>
				<th style="" class="manage-column" id="rel" scope="col">Allowed Domain</th>
				<th style="" class="manage-column" id="rel" scope="col">Related Product</th>
				<?php if ( wc_active() && $cedit->int_woocom == "1" ){ ?>
				<th style="" class="manage-column" scope="col">Order ID</th>
				<?php } ?>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<th style="" class="manage-column column-rel">License Key</th>
				<th style="" class="manage-column column-url <?php echo ($_REQUEST['orderby'] == "add_on")?"sorted ":"sortable "; echo ($_REQUEST['order'] and $_REQUEST['orderby'] == "add_on")?$_REQUEST['order']:"desc"; ?> " id="url" scope="col"><a href="admin.php?page=wp_licensing_manager&orderby=add_on&order=<?php if($_REQUEST['order'] == "asc" and $_REQUEST['orderby'] == "add_on") { echo "desc"; } else { echo "asc"; } ?>"><span>Saved On</span><span class="sorting-indicator"></span></a></th>
				<th style="" class="manage-column" scope="col">Status</th>
				<th style="" class="manage-column column-url <?php echo ($_REQUEST['orderby'] == "expire")?"sorted ":"sortable "; echo ($_REQUEST['order'] and $_REQUEST['orderby'] == "expire")?$_REQUEST['order']:"desc"; ?> " id="url" scope="col"><a href="admin.php?page=wp_licensing_manager&orderby=expire&order=<?php if($_REQUEST['order'] == "asc" and $_REQUEST['orderby'] == "expire") { echo "desc"; } else { echo "asc"; } ?>"><span>Expired On</span><span class="sorting-indicator"></span></a></th>
				<th style="" class="manage-column" id="rel" scope="col">Allowed Domain</th>
				<th style="" class="manage-column" id="rel" scope="col">Related Product</th>
				<?php if ( wc_active() && $cedit->int_woocom == "1" ){ ?>
				<th style="" class="manage-column" scope="col">Order ID</th>
				<?php } ?>
			</tr>
		</tfoot>
		<tbody id="the-list">
		<?php 
			$sql = "SELECT * FROM {$wpdb->prefix}licensing WHERE status = '3' AND (expire > ".time()." OR expire = 0)  ORDER BY ".(($_REQUEST['orderby'])?$_REQUEST['orderby']:"add_on")." ".(($_REQUEST['order'])?$_REQUEST['order']:"DESC LIMIT 100");
			if($_REQUEST['slicense']) {
				if($_REQUEST['sltype'] == "sdomain"){
					$sql = "SELECT * FROM {$wpdb->prefix}licensing WHERE domain LIKE '%".$_REQUEST['slicense']."%'";
				}
				elseif($_REQUEST['sltype'] == "skey"){
					$sql = "SELECT * FROM {$wpdb->prefix}licensing WHERE license LIKE '%".$_REQUEST['slicense']."%'";
				}
			}

			$res = $wpdb->get_results($sql);
			if(!$res){
				echo '<tr><th colspan="6"><b>No Record Found!</b></th></tr>';
			}
			else{
				foreach((array) $res as $lic):
				$expired = ($lic->expire < time() && $lic->expire != 0); ?>
				<tr valign="middle" class="alternate" id="link-<?php echo $i++; ?>">
          			<td class="column-rel"><?php echo $lic->license; ?><br>
            			<div class="row-actions">			
		  					<span class="accept"><a onClick="if ( confirm( 'You are about to accept this license.\n  \'Cancel\' to stop, \'OK\' to accept.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&accept=<?php echo $lic->id; ?>" class="submitaccept">Accept</a> | </span>
		  					<span class="reject"><a onClick="if ( confirm( 'You are about to reject this license.\n  \'Cancel\' to stop, \'OK\' to reject.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&reject=<?php echo $lic->id; ?>" class="submitreject">Reject</a></span>
						</div>
            		</td>
          			<td class="column-url"><?php if($lic->add_on) echo date("d/m/Y H:i",($lic->add_on)); ?></td>
          			<td class="column-url">
          			<?php if($lic->status == 0) { ?>
		  				<span style="background-color:#FF0000; padding:3px; color:#FFFFFF;">Deactive</span><br />
		  				<div class="row-actions">
		  					<span class="activate"><a onClick="if ( confirm( 'You are about to activate this license.\n  \'Cancel\' to stop, \'OK\' to activate.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&activate=<?php echo $lic->id; ?>" class="submitactivate">Activate</a> | </span>
		  					<span class="suspend"><a onClick="if ( confirm( 'You are about to suspend this license.\n  \'Cancel\' to stop, \'OK\' to suspend.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&suspend=<?php echo $lic->id; ?>" class="submitsuspend">Suspend</a></span>
		  				</div>
		  			<?php } else if($lic->status == 1 && (!$expired)){ ?>
		  				<span style="background-color:#00FF33; padding:3px;">Active</span>
		  				<div class="row-actions">
		  					<span class="deactivate"><a onClick="if ( confirm( 'You are about to deactivate this license.\n  \'Cancel\' to stop, \'OK\' to deactivate.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&deactivate=<?php echo $lic->id; ?>" class="submitdeactivate">Deactivate</a> | </span>
		  					<span class="suspend"><a onClick="if ( confirm( 'You are about to suspend this license.\n  \'Cancel\' to stop, \'OK\' to suspend.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&suspend=<?php echo $lic->id; ?>" class="submitsuspend">Suspend</a></span>
		  				</div>
		  			<?php } else if($lic->status == 2){?>
		  				<span style="background-color:#99FF00; padding:3px;">Suspended</span>
		  				<div class="row-actions">
		  					<span class="activate"><a onClick="if ( confirm( 'You are about to activate this license.\n  \'Cancel\' to stop, \'OK\' to activate.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&activate=<?php echo $lic->id; ?>" class="submitactivate">Activate</a> | </span>
		  					<span class="deactivate"><a onClick="if ( confirm( 'You are about to deactivate this license.\n  \'Cancel\' to stop, \'OK\' to deactivate.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&deactivate=<?php echo $lic->id; ?>" class="submitdeactivate">Deactivate</a></span>
		  				</div>
		  			<?php } else if($lic->status == 3){?>
		  				<span style="background-color:#99FF00; padding:3px;">Pending</span>
		  				<div class="row-actions">
		  					<span class="accept"><a onClick="if ( confirm( 'You are about to accept this license.\n  \'Cancel\' to stop, \'OK\' to accept.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&accept=<?php echo $lic->id; ?>" class="submitaccept">Accept</a> | </span>
		  					<span class="reject"><a onClick="if ( confirm( 'You are about to reject this license.\n  \'Cancel\' to stop, \'OK\' to reject.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&reject=<?php echo $lic->id; ?>" class="submitreject">Reject</a></span>
		  				</div>
		  			<?php }else if($expired) { ?>
		  				<span style="padding:3px; background-color:#006600; color:#FFFFFF;">Expired</span>
		  			<?php } ?>
		  		</td>
                <td class="column-url"><?php if($lic->expire == 0){echo "Never Expired";}else{ echo date("d/m/Y H:i",($lic->expire));} ?></td>
          		<td class="column-url"><?php if($lic->allowed == 0) {echo "Unlimited"; }else { echo $lic->allowed; if($lic->allowed == 1){ echo "&nbsp;Domain"; }elseif($lic->allowed > 1 ){ echo"&nbsp;Domains";}} ?></td>
          		<td class="column-rel">
          		<?php if ( wc_active () && $cedit->int_woocom == "1" ){ 
		  ?>
		  			<a href="post.php?post=<?php echo $lic->product; ?>&action=edit"><?php echo get_the_title($lic->product); ?></a>
          		<?php }else { ?>
          			<a href="admin.php?page=wp_licensing_manager&act=1&edit=<?php echo $lic->id; ?>"><?php echo $lic->product; ?></a>
		  		<?php } ?>
          		</td>
          		<?php if ( wc_active() && $cedit->int_woocom == "1" ){ ?>
          		<td class="column-rel"><a href="post.php?post=<?php $ids = str_replace("WC-","",$lic->order_id); echo $ids;?>&action=edit" title="View Order"><?php echo $lic->order_id; ?></a></td>
		  		<?php } ?>
			</tr>
      		<?php endforeach; }?>
		</tbody>
	</table>
	
    <div class="tablenav bottom">
        <div class="alignright actions">
            <div class="action-set-pagination">
                <?php paginate($pagename, "SELECT * FROM {$wpdb->prefix}licensing WHERE status = '3'", $limit, "page=wp_licensing_order_pending&");?>
            </div>
        </div>
        <br class="clear">
        <div style="text-align:center;">&copy; <a href="<?php echo LICENSEMANAGER_URI;?>" target="_blank" style="text-decoration:none;">WP Licensing System</a> v<?php echo $wls_version; ?></div>
      <br class="clear">
    </div>
    <div id="ajax-response"></div>
</div>

<?php

	}
}

?>