<?php

/*
Plugin Name: WPLS Sample Plugin
Plugin URI: http://licen.us/
Description: Illustrates how to include an updater in your plugin for Wordpress Licensing System
Author: Hassan Noor
Author URI: http://noor.my.id
Version: 1.0
*/

// This is the URL our updater / license checker pings. This should be the URL of the site with WPLS installed
define( 'WPLS_SAMPLE_STORE_URL', 'https://basic.wpdev.club' ); // you should use your own CONSTANT server url, and be sure to replace it throughout this file

// The product code of your product. This should match the download name in WPLS exactly
define( 'WPLS_SAMPLE_ITEM_CODE', 'sampleCode' ); // you should use your own CONSTANT CODE, and be sure to replace it throughout this file

require_once('plugin-updates.php');
new WPLSPluginUpdater_sampleCode( WPLS_SAMPLE_STORE_URL, plugin_basename(__FILE__), WPLS_SAMPLE_ITEM_CODE, get_option( WPLS_SAMPLE_ITEM_CODE . '_license_key', '' ));

require_once('plugin-main.php');
new WPLS_Sample_Plugin(WPLS_SAMPLE_STORE_URL, WPLS_SAMPLE_ITEM_CODE);